## libsoup2.4 2.74.3

=== debian/changelog ===
libsoup2.4 (2.74.3-6ubuntu1.6) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-32907-*.patch: Add i-- in
      libsoup/soup-message-headers.c. Add B_SANITIZE_OPTION to meson.build.
    - debian/patches/CVE-2025-4948.patch: Add ternary end - 2 - split check in
      libsoup/soup-multipart.c.
    - CVE-2025-32907
    - CVE-2025-4948
  * SECURITY UPDATE: Out of bounds read.
    - debian/patches/CVE-2025-4969.patch: Add extra if checks for start of line
      in libsoup/soup-multipart.c.
    - CVE-2025-4969
  * SECURITY UPDATE: Improper validation of cookie expiration.
    - debian/patches/CVE-2025-4945-*.patch: Add extra date checks in
      libsoup/soup-date.c.
    - CVE-2025-4945

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 15 Jul 2025 11:36:10 -0230

libsoup2.4 (2.74.3-6ubuntu1.5) noble-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-4476.patch: Replace strcmp with g_strcmp0 in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-4476

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 23 May 2025 14:20:52 -0230

libsoup2.4 (2.74.3-6ubuntu1.4) noble-security; urgency=medium

  * SECURITY REGRESSION: Incomplete fix for CVE-2025-32912 (LP: #2110056)
    - debian/patches/CVE-2025-32912-fix1.patch: Replace g_hash_table_contains
      with g_hash_table_lookup in ./libsoup/soup-auth-digest.c.
    - CVE-2025-32912

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 06 May 2025 15:00:18 -0230

libsoup2.4 (2.74.3-6ubuntu1.3) noble-security; urgency=medium

  * SECURITY UPDATE: Out of bound read.
    - debian/patches/CVE-2025-32906-*.patch: Add out of bound checks in
      soup_headers_parse_request in ./libsoup/soup-headers.c.
    - debian/patches/CVE-2025-32914.patch: Replace strstr operation with
      g_strstr_len in ./libsoup/soup-multipart.c.
    - CVE-2025-32906
    - CVE-2025-32914
  * SECURITY UPDATE: Null pointer dereference.
    - debian/patches/CVE-2025-32909.patch: Add resource size check in
      ./libsoup/soup-content-sniffer.c.
    - debian/patches/CVE-2025-32910-32912-*.patch: Add checks for missing realm
      and nonce, and fix memory leak in ./libsoup/soup-auth-digest.c.
    - debian/patches/CVE-2025-32912.patch: Add additional checks for nonce in
      ./libsoup/soup-auth-digest.c.
    - CVE-2025-32909
    - CVE-2025-32910
    - CVE-2025-32912
  * SECURITY UPDATE: Memory corruption.
    - debian/patches/CVE-2025-32911-32913-*.patch: Add checks for empty
      filename in ./libsoup/soup-message-headers.c.
    - CVE-2025-32911
    - CVE-2025-32913
  * SECURITY UPDATE: Memory leak.
    - debian/patches/CVE-2025-46420.patch: Free allocated strings during
      iteration in ./libsoup/soup-headers.c.
    - CVE-2025-46420
  * SECURITY UPDATE: Information exposure through host impersonation.
    - debian/patches/CVE-2025-46421.patch: Strip credentials on cross-origin
      redirects in ./libsoup/soup-session.c.
    - CVE-2025-46421
  * debian/patches/Extend-test-cert-to-2049.patch: Extend expiration to 2049 of
    a certificate used for build tests.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 02 May 2025 13:51:41 -0230

libsoup2.4 (2.74.3-6ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-2784-1.patch: Fix potential overflow
    - debian/patches/CVE-2025-2784-2.patch: Add better coverage of
      skip_insignificant_space()
    - CVE-2025-2784
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32050.patch: Fix using int instead of
      size_t for strcspn return
    - CVE-2025-32050
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32052.patch: Fix heap buffer overflow in
      soup_content_sniffer_sniff
    - CVE-2025-32052
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2025-32053.patch: Fix heap buffer overflow in
      sniff_feed_or_html()
    - CVE-2025-32053

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 09 Apr 2025 15:22:08 +0200

libsoup2.4 (2.74.3-6ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: Request smuggling
    - debian/patches/CVE-2024-52530.patch: Strictly don't allow NUL 
      bytes in headers
    - CVE-2024-52530
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2024-52531-1.patch: Be more robust against 
      invalid input when parsing params
    - debian/patches/CVE-2024-52531-2.patch: Add test for passing 
      invalid UTF-8 to soup_header_parse_semi_param_list()
    - CVE-2024-52531
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2024-52532-1.patch: process the frame as soon
      as data is read
    - debian/patches/CVE-2024-52532-2.patch: disconnect error copy 
      after the test ends
    - CVE-2024-52532

 -- Bruce Cable <bruce.cable@canonical.com>  Tue, 19 Nov 2024 09:24:43 +1100

libsoup2.4 (2.74.3-6ubuntu1) noble; urgency=medium

  * Explicitly disable sysprof integration instead of leaving it up to
    whether sysprof is installed at build time

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 13:24:54 -0400

libsoup2.4 (2.74.3-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:17:14 +0000

libsoup2.4 (2.74.3-6) unstable; urgency=medium

  * debian/shlibs.local: Update for binary package rename

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 19:14:45 -0400

libsoup2.4 (2.74.3-5) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) as safety against backports
  * Release to unstable (Closes: #1062633)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 18:43:05 -0500

libsoup2.4 (2.74.3-3.1~exp3) experimental; urgency=medium

  * Fix missing rename of libsoup-gnome-2.4-1.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Feb 2024 22:17:36 +0000

libsoup2.4 (2.74.3-3.1~exp2) experimental; urgency=medium


