=== debian/control ===
Source: libsoup2.4
Section: oldlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: apache2 <!nocheck> <!noinsttest>,
               curl <!nocheck> <!noinsttest>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               dpkg-dev (>= 1.22.5),
               gir1.2-gio-2.0-dev,
               glib-networking,
               gtk-doc-tools,
               libapache2-mod-php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
               libapache2-mod-php [!i386] <!nocheck> <!noinsttest>,
               libbrotli-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libkrb5-dev,
               libnss-myhostname [linux-any] <!nocheck>,
               libpsl-dev,
               libsqlite3-dev,
               libxml2-dev,
               meson,
               php (<< 2:9) [!i386] <!nocheck> <!noinsttest>,
               php [!i386] <!nocheck> <!noinsttest>,
               php-xmlrpc [!i386] <!nocheck> <!noinsttest> | php (>= 2:8.1+85+really8) [!i386] <!nocheck> <!noinsttest>,
               python3,
               valac
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/libsoup
Vcs-Git: https://salsa.debian.org/gnome-team/libsoup.git
Homepage: https://wiki.gnome.org/Projects/libsoup
Rules-Requires-Root: no

Package: libsoup2.4-dev
Architecture: any
Multi-Arch: same
Depends: gir1.2-soup-2.4 (= ${binary:Version}),
         libbrotli-dev,
         libglib2.0-dev,
         libpsl-dev,
         libsoup-2.4-1 (= ${binary:Version}),
         libsqlite3-dev,
         libxml2-dev,
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Suggests: libsoup2.4-doc
Provides: ${gir:Provides}
Description: HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files.

Package: libsoup-2.4-1
X-Time64-Compat: libsoup2.4-1
Provides: ${t64:Provides}
Replaces: libsoup2.4-1
Breaks: libsoup2.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: glib-networking,
         libsoup2.4-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the shared library.

Package: libsoup-gnome-2.4-1
X-Time64-Compat: libsoup-gnome2.4-1
Provides: ${t64:Provides}
Replaces: libsoup-gnome2.4-1
Breaks: libsoup-gnome2.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: HTTP library implementation in C -- GNOME support library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the GNOME support shared library.

Package: libsoup-gnome2.4-dev
Architecture: any
Multi-Arch: same
Depends: gir1.2-soup-2.4 (= ${binary:Version}),
         libsoup-gnome-2.4-1 (= ${binary:Version}),
         libsoup2.4-dev (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Suggests: libsoup2.4-doc
Provides: ${gir:Provides}
Description: HTTP library implementation in C -- GNOME support development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the Gtk+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 The GNOME support library is used for features which are important to
 GNOME apps, but which require GNOME-specific libraries that non-GNOME
 apps may not want to add dependencies on.
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files for the GNOME support.

Package: libsoup2.4-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: HTTP library implementation in C -- Common files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 This package contains architecture-independent files such as translations.

Package: libsoup2.4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Suggests: libsoup2.4-dev
Description: HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the documentation.

Package: gir1.2-soup-2.4
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for the libsoup HTTP library
 This package contains introspection data for the libsoup HTTP library.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsoup2.4-tests
Build-Profiles: <!noinsttest>
Section: misc
Architecture: any
Depends: apache2,
         curl,
         libapache2-mod-php (<< 2:9) [!i386],
         libapache2-mod-php [!i386],
         libnss-myhostname [linux-any],
         php [!i386],
         php-xmlrpc [!i386] | php (>= 2:8.1+85+really8.0) [!i386],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-desktop-testing
Description: HTTP library implementation in C -- installed tests
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 This package contains automated tests, mostly for use via autopkgtest.
 They can most easily be invoked via the gnome-desktop-testing-runner
 tool in the gnome-desktop-testing package.
