=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbrotli=enabled \
		-Dgtk_doc=true \
		-Dinstalled_tests=true \
		-Dsysprof=disabled \
		-Dvapi=enabled

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/libsoup*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_gnome_clean:
	dh_gnome_clean --no-control
